<?xml version="1.0" encoding="utf-8"?>
<openerp>
    <data>

        <record id="cs_view_tree" model="ir.ui.view">
            <field name="name">sale.order.csview</field>
            <field name="model">sale.order</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Sales Order">
                    <field name="name"/>
                    <field name="order_id"/>
                    <field name="create_date"/>
                    <field name="dispatched_date"/>
                    <field name="courier_name"/>
                    <field name="state"/>
                    <field name="status"/>
                    <field name="three_p_channel"/>
                    <field name="mode_of_payment"/>
                </tree>
            </field>
        </record>
        <record id="cs_view_tree_pending_orders1" model="ir.ui.view">
            <field name="name">sale.order.csview</field>
            <field name="model">sale.order</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Sales Order">
                    <field name="name"/>
                    <field name="order_id"/>
                    <field name="date_order"/>
                    <field name="courier_name"/>
                    <field name="bogo_applicable"/>
                    <field name="bogo_availed"/>
                    <field name="is_duplicate"/>
                    <field name="three_p_channel"/>
                </tree>
            </field>
        </record>


         <record id="filter_order_form_inherit" model="ir.ui.view">
            <field name="name">sale.order.search.csview</field>
            <field name="model">sale.order</field>
            <field name="inherit_id" ref="sale.view_sales_order_filter"/>
            <field name="priority">2</field>
            <field name="arch" type="xml">
                 <field name="user_id" position="after">
                    <field name="user_phone" string="Phone"/>
                    <field name="order_id" string= "Order Number"/>
                 </field>
            </field>
        </record>
        
    <record id="view_form_reason_cancel" model="ir.ui.view">
        <field name="name">sale.order.reason</field>
        <field name="model">sale.order</field>
        <field name="type">tree</field>
        <field name="arch" type="xml">
            <group>
            <field name="reason" string="Select Reason"/>
            </group>
            <button name="action_cancel" string="Confirm reason and Cancel Order" type="object" groups="outbound.group_cs_user" Confirm="Are you sure you want to cancel this order?"/>
        </field>
    </record>
         <record id="sale_order_reason_form" model="ir.actions.act_window">
            <field name="name">Reasons</field>
            <field name='res_model'>sale.order</field>
            <field name="view_id" ref="view_form_reason_cancel"/>
            <field name='view_type'>form</field>
            <field name='view_mode'>tree,form</field>
        </record>

        <record id="view_order_form_inherit" model="ir.ui.view">
            <field name="name">sale.order.form.csview</field>
            <field name="model">sale.order</field>
            <field name="inherit_id" ref="sale.view_order_form"/>
            <field name="priority">2</field>
            <field name="arch" type="xml">
            <header>
                    <button name="action_cancel" attrs="{'invisible': True}" string="Cancel Order" type="object" groups="outbound.group_cs_user"
                        Confirm="Are you sure you want to cancel this order ?"/>
                <button name="cancel_order_action" states="manual,progress,picklist,on_picklist,queued,hold,picked,packed,not_confirmed" string="Cancel Order" type="object" groups="outbound.group_cs_user"/>
                 <button name="on_hold" type="object" states="new,confirmed,not_confirmed,picklist,on_picklist,queued,picked,packed,sent,waiting_date,progress,manual,invoice_except" string="Hold" groups="outbound.group_cs_user" help="Put Order On Hold"/>
                 <button name="confirm_order" type="object" string="Send Order Confirmation or Re-Confirmation mails" groups="outbound.group_cs_user" help="Confirm Order" context="{'template_id':active_id}" attrs="{'invisible': [('status','=','confirmed')]}"/>
                 <button name="confirm_shipment" type="object" string="Confirm Shipment" groups="outbound.group_cs_user" help="confirm the shippment" context="{'template_id':active_id}"/>
                <!-- <button name="on_new" states='picklist,on_picklist,manual,queued' type="object" string="Modify Order" help="Modify Order" groups="outbound.group_cs_user"/> -->
                <button name="on_release" states='hold' type='object' string= 'Release Order' groups="outbound.group_cs_user"/>
                <button name="send_sms"  type="object" string="Send Order Re-Confirmation SMS" groups="outbound.group_cs_user" context="{'res_id':active_id}"/>
                <button name="send_sms2" string="Send Shipment confirmation sms" type="object" groups="outbound.group_cs_user" states="done"/>
                <button name="close" class="oe_highlight" string="Close" type="workflow" groups="outbound.group_cs_user" states="sent"/>
                <field name="state" widget="statusbar" statusbar_visible="done,sent,closed" />
                </header>
                <field name="note" position="before">
                    <field name='adjustments'>
                        <tree string="Extra Addresses" editable="bottom">
                                <field name="adjusment_label" />
                                <field name="adjustment_notes" />
                                <field name="amount" />
                        </tree>
                    </field>
                    <field name="payments" >
                        <tree string="Extra Addresses" editable="bottom">
                            <field name="payment_method" />
                            <field name="payment_reference" />
                            <field name="amount" />
                         </tree>
                 </field>
                </field>
                
                <field name="date_order" position="after">
                    <field name="three_p_channel"/>
                </field>
                 <field name="date_order" position="after">
                    <field name="dispatched_date"/>
                </field>
                 <field name="date_order" position="after">
                <field name='reason' attrs="{'invisible': [('state','in',['draft','manual','progress','picklist','on_picklist','queued','hold','picked','packed','not_confirmed'])]}"/>
                </field>
                <field name="partner_id" position="before">
                    <field name="status" invisible="1"/>
                    <field name="user_email" on_change="onchange_user_email_phone(user_email,user_partner_phone,context)" context='{"user_email":user_email,"user_partner_phone":user_partner_phone}' domain="[('customer','=',True)]"/>"
                    <field name="user_partner_phone" on_change="onchange_user_email_phone(user_email,user_partner_phone,context)" context='{"user_email":user_email,"user_partner_phone":user_partner_phone}'  domain="[('customer','=',True)]"/>"
                </field>
               
                <field name="amount_untaxed" position="before">
                <field name="total_quantity" widget="monetory" string= "Total Quantity"/>
                 </field>
              <notebook position="inside">
                <page string="Logistics">
                    <group colspan="4" col="6">
                    <field name="preferred_courier"/>
                    <field name="shipping_type"/>
                    <field name="courier_name" />
                    <field name="routes_name" />
                    <field name="awb"/>
                    <!-- <field name="courier_status"/>  -->
                </group>
                </page>
            </notebook>
            <notebook position="inside">
                <page string="Giftwrap &amp; BOGO">
                    <group colspan="4" col="6">
                    <field name="product_giftwrap"/>
                    <field name="giftwrap_message" domain="[('product_giftwrap','=',True)]"/>
                    <field name="bogo_availed" attrs="{'invisible': [('bogo_applicable','=',False)]}"/>
                    <field name="bogo_applicable"/>
                    <field name="is_duplicate"/>

                </group>
                </page>
            </notebook>
            <notebook position="inside">
                <page string="Invoice Address">

                    <group>
                    <group >
                        <field name="user_name" readonly="1"/>
                        <field name="user_mobile" readonly="1"/>
                        <field name="user_phone" readonly="1"/>
                        <field name="user_street" readonly="1"/>
                        <field name="user_street2" readonly="1"/>
                        
                    </group>
                    <group>
                        <field name="user_zip" readonly="1"/>
                        <field name="user_state" readonly="1"/>
                        <field name="user_city" readonly="1"/>
                        <field name="user_country" readonly="1"/>
                </group>
            </group>
                </page>
            </notebook>

            <notebook position="inside">
                <page string="Delivery Address">
                    <group>
                    <group >
                        <field name="user1_name" readonly="1"/>
                        <field name="user1_mobile" readonly="1"/>
                        <field name="user1_phone" readonly="1"/>
                        <field name="user1_street" readonly="1"/>
                        <field name="user1_street2" readonly="1"/>
                        
                    </group>
                    <group>
                        <field name="user1_zip" readonly="1"/>
                        <field name="user1_state" readonly="1"/>
                        <field name="user1_city" readonly="1"/>
                        <field name="user1_country" readonly="1"/>
                </group>
            </group>
                </page>
            </notebook>
            
            </field>
        </record>    



        <record id="action_cs_view" model="ir.actions.act_window">
            <field name='name'>All Orders</field>
            <field name='res_model'>sale.order</field>
            <field name="view_id" ref="cs_view_tree"/>
            <field name='view_type'>form</field>
            <field name='view_mode'>tree,form</field>
            
        </record>

         <menuitem id="menu_cs" name="CS" groups="group_cs_user" />
         <menuitem id="menu_outbound_cs_view" name="Process Order" parent="menu_cs"/>
         <menuitem action="action_cs_view" id="menu_cs_order" parent="menu_outbound_cs_view" string="Orders"/>

         <record id="action_cs_view_pending_bogo_orders1" model="ir.actions.act_window">
            <field name='name'>Queued Orders</field>
            <field name='res_model'>sale.order</field>
            <field name="view_id" ref="cs_view_tree_pending_orders1"/>
            <field name='view_type'>form</field>
            <field name='view_mode'>tree,form</field>
            <!-- <field name="domain">['|',('is_duplicate','=',True),('bogo_applicable','=',True),('bogo_availed','=',False)]</field> -->
            <field name="domain">['|',('is_duplicate','=',True),'&amp;',('bogo_availed','=',False),('bogo_applicable','=',True)]</field>
        </record>

        <menuitem action="action_cs_view_pending_bogo_orders1" id="menu_cs_order_bogo1" parent="menu_outbound_cs_view" string="Pending Orders"/>
        <record id="action_cs_view_pending_payment_not_there" model="ir.actions.act_window">
            <field name='name'>Order Having Payment Difference</field>
            <field name='res_model'>sale.order</field>
            <field name="view_id" ref="cs_view_tree_pending_orders1"/>
            <field name='view_type'>form</field>
            <field name='view_mode'>tree,form</field>
            <!-- <field name="domain">['|',('is_duplicate','=',True),('bogo_applicable','=',True),('bogo_availed','=',False)]</field> -->
            <field name="domain">[('payment_flag','=',True)]</field>
        </record>

        <menuitem action="action_cs_view_pending_payment_not_there" id="menu_cs_order_payment_not_there" parent="menu_outbound_cs_view" string="Pending Orders"/>


        <record id="action_cs_view_not_confirmed" model="ir.actions.act_window">
            <field name='name'>Not Confirmed Orders</field>
            <field name='res_model'>sale.order</field>
            <field name="view_id" ref="cs_view_tree"/>
            <field name='view_type'>form</field>
            <field name='view_mode'>tree,form</field>
            <field name="domain">[('status','=','not_confirmed'),('state','=','picklist')]</field>
        </record>

        <menuitem action="action_cs_view_not_confirmed" id="menu_cs_order_nc" parent="menu_outbound_cs_view" string="Not Confirmed Orders"/>

         <record id="action_cs_view_mod_orders1" model="ir.actions.act_window">
            <field name='name'>MOD Orders</field>
            <field name='res_model'>sale.order</field>
            <field name="view_id" ref="cs_view_tree"/>
            <field name='view_type'>form</field>
            <field name='view_mode'>tree,form</field>
            <field name="domain">[('state','=','queued'),('is_mod','=',True)]</field>
        </record>

        <menuitem action="action_cs_view_mod_orders1" id="menu_cs_order_mod1" parent="menu_outbound_cs_view" string="MOD Orders"/>

        <record id="action_cs_view_queued_orders2" model="ir.actions.act_window">
            <field name='name'>Pending Orders</field>
            <field name='res_model'>sale.order</field>
            <field name="view_id" ref="cs_view_tree"/>
            <field name='view_type'>form</field>
            <field name='view_mode'>tree,form</field>
            <field name="domain">['|','&amp;',('state','=','queued'),('is_mod','=',False),('courier_name','=','False')]</field>
        </record>
        <menuitem action="action_cs_view_queued_orders2" id="menu_cs_order_qo2" parent="menu_outbound_cs_view" string="Queued Orders"/>

        <record id="action_cs_view_cancel_orders" model="ir.actions.act_window">
            <field name='name'>Cancelled Orders</field>
            <field name='res_model'>sale.order</field>
            <field name="view_id" ref="cs_view_tree"/>
            <field name='view_type'>form</field>
            <field name='view_mode'>tree,form</field>
            <field name="domain">[('state','=','cancel')]</field>
        </record>

        <menuitem action="action_cs_view_cancel_orders" id="menu_cs_order_cancel" parent="menu_outbound_cs_view" string="Cancelled Orders"/>

        <record id="action_cs_view_holded" model="ir.actions.act_window">
            <field name='name'>Orders On Hold</field>
            <field name='res_model'>sale.order</field>
            <field name="view_id" ref="cs_view_tree"/>
            <field name='view_type'>form</field>
            <field name='view_mode'>tree,form</field>
            <field name="domain">[('state','=','hold')]</field>
        </record>

        <menuitem action="action_cs_view_holded" id="menu_cs_order_holded" parent="menu_outbound_cs_view" string="Orders On Hold"/>

        <record id="product_action_inherit1" model="ir.actions.act_window">
         <field name="name">Products</field>
         <field name="res_model">product.template</field>
         <field name="view_type">form</field>
         <field name="view_id" ref="product.product_template_tree_view"/>
         <field name="view_mode">form,tree,kanban</field>
         <field name="context">{'location':30,'compute_child': False}</field>
        </record>

        <menuitem action="product_action_inherit1" id="child_product_action" parent="menu_outbound_cs_view"/>

        <record id="merch_action_all_order_view" model="ir.actions.act_window">
        <field name='name'>All Orders</field>
        <field name='res_model'>sale.order</field>
        <field name="view_id" ref="cs_view_tree"/>
        <field name='view_type'>form</field>
        <field name='view_mode'>tree,form</field>
    </record>
    <record id="outbound_picklist_save_form1" model="ir.ui.view">
            <field name="name">outbound.picklist.form</field>
            <field name="model">outbound.picklist.stn</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
            <form string="Generate File">
                <sheet>
                    <group colspan="4" col="6">
                        <button string="Generate File" name="get_excise_file" type="object" default_focus="1" context="{'res_id': active_id}"/>
                   </group>
               </sheet>
            </form>
            </field>
        </record>

    <menuitem id="menu_mapping_cs_view" name="Mapping" parent="menu_cs" sequence="21" />

    <menuitem action="outbound.import_action1" id="preferred_courier_mapping_cs" parent="menu_mapping_cs_view" string="Preferred Courier Mapping"/>

        <act_window id="outbound_picklist_save_button2"
        name="Generate File"
        res_model="outbound.picklist.stn"
        src_model="outbound.picklist"
        view_id="outbound_picklist_save_form1"
        key2="client_action_multi"
        view_mode="form" target="new" view_type="form" />

    </data>
</openerp>  